Subject: Re: static binaries

From: Serge Bezzubov <[email-masked]>
Date: Mon, 9 Sep 1996 20:05:13 +0400 (MSD)

> From [email-masked] Mon Sep  9 19:10 MSD 1996
> Comments: Authenticated sender is <[email-masked]>
> From: "Keith Smith" <[email-masked]>
> To: Serge Bezzubov <[email-masked]>, [email-masked]
> Date: Mon, 9 Sep 1996 08:34:05 -5
> MIME-Version: 1.0
> Content-transfer-encoding: 7BIT
> Subject: Re: static binaries
> 
> On  7 Sep 96 at 21:53, Serge Bezzubov wrote:
> 
> >slightly modified the Makefile. After compilation succeeded I issued
> >the ./ls -al command and it seems that it doesn't work properly. Look
> >yourself at the output:
> >
> >-rw-r--r--  1 116          1491 Aug 15 15:56 .mailrc
> >-rw-r--r--  1 116           135 Aug 29 21:58 .mailtool-init
> >drwx------  3 116           512 Aug 29 21:36 .netscape
> >-rwxr-xr-x  1 116          1391 Aug 29 21:58 .openwin-init
> >
> >As you can notice there is no group ownership at all and user
> >ownership displays in numeric format. So, does anyone know what's
> >wrong and how it can be corrected?
> 
> 'ls' uses /etc/passwd and /etc/group to convert the numbers into
> text.  If you were connected to your FTP site as a guest (or anon)
> user then ls will be looking in ~ftp/etc for the files because FTPD
> performs a chroot.  To get text in these fields, create an etc dir
> and copy the passwd and group files (world readable) into it.
> 
> However, many sites do not do this (mine included).  Instead these 
> sites leave the dir listings as they are.  This way a guest user can 
> not find out the other user ID on your system.
> 
Thank you for info. However I wanted to explain the problem with the ls itself.
I tried staticly compiled ls instead of system one (/bin/ls) to exemine its
functionality. Anyway, I would like to know what's typical problem which causes
ls to display numeric user and group IDs rather than regular ones? The question
doesn't concern ftp issues.

Cheers,
Serge Bezzubov <[email-masked]>
YNC, Yaroslavl, Russia